Subject: bug#68663: Unsaved buffers dialog is unhelpful

From: Nikolay Kudryavtsev <[email-masked]>
Date: Sun, 28 Jan 2024 01:38:56 +0300

That's very unfortunate.

I'll summarize the arguments for changing this dialog for the future, 
because I have a hunch that this would eventually be changed:

 From the point of view of a power user this is bad because power users 
generally have Emacs running for day-weeks-months at a time and they 
generally need to know whether the change they've made to some buffer 
days ago is meaningful or a typo. The new behavior requires them to set 
use-dialog-box nil or remember about the C-x C-c behavior being 
different. All for a basic thing that ideally should not take any mental 
space.

 From the point of view of a new user this is bad because now the user 
is stuck searching for those modified buffers by hand since Emacs have 
not given him any guidance. Quitting and saving is such a basic 
operation(cue two pages of vim jokes) that at this point we should not 
only not expect the user to know about M-x save-some-buffers, but even 
what the buffer modified mode line flag looks like.